// 导航栏按钮类别
export const navbarButtonGroup = {
    // 仅拼团
    group: {
        left: ['单独购买', '￥1000.00'],
        right: ['拼团购买', '￥1000.00']
    },

    // 拼团 + 优惠券
    groupWithCoupon: {
        left: ['领券单独购买', '￥1000.00'],
        right: ['领券拼团购买', '￥1000.00']
    },

    // 限时活动 / 活动价 + 优惠券
    activityWithCoupon: {
        left: ['加入购物车'],
        right: ['领券购买', '￥1000.00']
    },

    // 限时活动 / 活动价 + 优惠券
    normalWithCoupon: {
        left: ['加入购物车'],
        right: ['领券购买', '￥1000.00']
    },

    // 普通方式 不使用优惠券
    normal: {
        left: ['加入购物车'],
        right: ['立即购买']
    }
}

export function makeQuery() {
    return {
        userId: '',
        homeFloorId: '',
        homeTypeId: '',
        activityId: '',
        couponId: '',
        listType: 1,
        productIds: '',
        smallTypeId: '',
        sortType: 1,
        name: '',
        pageNum: 1,
        pageSize: 12
    }
}
